Skip to API content
TalkLabs API Docs v3
Recipes
GET Comments

List Conversations

Cursoring API Method returns a cursor Cursor includes a "more" field indicating if there are more results that can be read at the time this call is made Cursor includes "cursor"…

GET /api/v3/{appid}/comment/conversations

Cursoring

  • API Method returns a cursor
  • Cursor includes a "more" field indicating if there are more results that can be read at the time this call is made
  • Cursor includes "cursor" field, which can be passed into subsequent calls to this method to get additional results
  • Cursor includes "itemcount" field, which is the number of items returned by the cursor not the total number of items in the database
  • All LIST methods in the API return cursors and they all work the same way

Optional Parameters

  • propertyid : Filters list of conversations by property. Exact match only, case sensitive.

  • cursor : (Optional, default = ""). For cusoring, pass in cursor output from previous call to continue where you left off.

  • limit : (Optional, default = 200). For cursoring, limit the number of responses for this request.

  • sort : (Optional, default = "oldest").

    • newest : Default. Sorts from newest created conversation to the oldest.
    • oldest : Starts from oldest conversation and cursors towards the newest.
    • reactioncount: Sorts conversations based on how many reactions there were on the conversation, from highest to lowest. Secondary sort order is WhenAdded desc (when the conversation was created).
  • filterStartTime : (Optional, default=""). ISO8601 datetime. When provided, only conversations created on or after this time are returned. Example: "2024-01-26T20:25:37.667Z"

  • filterEndTime : (Optional, default=""). ISO8601 datetime. When provided, only conversations created bn or before this time are returned.

Retrieves metadata about all conversations for a property. Whenever you create a conversation, you provide a property to associate it with. This returns the metadata for all conversations associated with a property.

Request

Parameters

Values in the path and query string.

appid path
string TalkLabs ID required

The TalkLabs application ID assigned to your account.

Example: your-app-id
propertyid query
string
title query
string
conversationid query
string TalkLabs ID

The TalkLabs assigned conversation ID.

customid query
string customer-defined

A customer defined ID chosen by your application. TalkLabs stores it so you can retrieve the resource without keeping its TalkLabs ID.

cursor query
string

The cursor returned by the previous page.

limit query
integer · int32

The maximum number of records to return.

Example: 200
sort query
string
Example: oldest
filterStartTime query
string · date-time
Example: 2026-07-29T12:00:00Z
filterEndTime query
string · date-time
Example: 2026-07-29T12:00:00Z
Response

Status codes

Every JSON response uses the API result envelope.

200 OK ApiResult
400 Bad Request ApiResult
403 Forbidden ApiResult
404 Not Found ApiResult
500 Internal Server Error ApiResult
Example response · 200
{
  "message": "Success",
  "errors": {},
  "data": {
    "kind": "list.commentconversations",
    "cursor": "5e9e654338a2851934963163",
    "more": false,
    "conversations": [
      {
        "kind": "comment.conversation",
        "appid": "5e9389ed38a2b10794e271ee",
        "owneruserid": "",
        "conversationid": "conversationabcd",
        "property": "chelseafc.com",
        "moderation": "post",
        "maxreports": 0,
        "enableprofanityfilter": true,
        "title": "Champions League Final Victory",
        "maxcommentlen": 512,
        "commentcount": 0,
        "open": true,
        "added": 1587481667,
        "whenmodified": 1587481667,
        "customtype": "",
        "customid": "media./content/chelseafc/en/news-mobile/2020/03/18/watch-our-2012-champions-league-final-victory-in-full-from-8pm",
        "customtags": [
          "taga",
          "tagb"
        ],
        "custompayload": "{ num : 0 }",
        "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
        "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß"
      },
      {
        "kind": "comment.conversation",
        "appid": "5e9389ed38a2b10794e271ee",
        "owneruserid": "",
        "conversationid": "my_conversation_id",
        "property": "sportstalk247.com/apidemo",
        "moderation": "post",
        "maxreports": 0,
        "enableprofanityfilter": true,
        "title": "Sample Conversation",
        "maxcommentlen": 512,
        "commentcount": 5,
        "open": true,
        "added": 1587438915,
        "whenmodified": 1587438915,
        "customtype": "",
        "customid": "/articles/2020-03-01/article1/something-very-important-happened",
        "customtags": [
          "taga",
          "tagb"
        ],
        "custompayload": "{ num : 0 }",
        "customfield1": "/sample/userdefined1/emojis/😂🤣❤😍😒",
        "customfield2": "/sample/userdefined2/intl/characters/äöüÄÖÜß"
      }
    ]
  }
}
Search all 118 endpoints Try “join room”, “moderate”, or “POST”.
Request environment

Connect your application

These values fill request examples and the API console. They stay in this browser tab and are never sent to TalkLabs until you run a request.

Credentials are stored in sessionStorage, not in cookies or analytics.